<div *ngIf="hasSlider">
  <div *ngIf="data && data.length> 0 && {soHinhDu: data.length -
    maxImageForLayout} as v" class="gallery-list {{_className}}" [ngClass]="{'gallery-list-max': v.soHinhDu > 0 }">
    <div class="gallery-box" attr.aria-label="{{v.soHinhDu}}" *ngFor="let item of data|slice:0:maxImageForLayout; let i = index;
      let i=index" [ngClass]="{'last-child':(i+1) == maxImageForLayout}" (click)="openDialogImages(data, i)">
      <div  class="gallery-item" >
        <img lazy-loading-image [src]="item" />
      </div>
    </div>
  </div>
</div>

<div *ngIf="!hasSlider">
  <div *ngIf="data && data.length> 0 && {soHinhDu: data.length -
        maxImageForLayout}
        as v" class="gallery-list {{_className}}" [ngClass]="{'gallery-list-max': v.soHinhDu > 0 }">
    <div class="gallery-box" attr.aria-label="{{v.soHinhDu}}" *ngFor="let item of data|slice:0:maxImageForLayout; let i = index;
          let i=index" [ngClass]="{'last-child':(i+1) == maxImageForLayout}">
      <div class="gallery-item">
        <img lazy-loading-image [src]="item" />
      </div>
    </div>
  </div>
</div>